#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> solve(vector<int> a)
{
    int n=a.size();
    vector<int> v(n);
    v[0]=n-1;
    iota(v.begin()+1, v.end(), 0);

    return v;
}
